Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 640724 - dev-perl/DBD-SQLite-1.540.0[system-sqlite] fails test t/virtual_table/rt_99748.t : Failed test 'no warnings' ( couldn't eval ... syntax error at (eval 20) line 1, near "] $vals" )
Summary: dev-perl/DBD-SQLite-1.540.0[system-sqlite] fails test t/virtual_table/rt_9974...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-12-11 18:12 UTC by Toralf Förster
Modified: 2019-02-10 21:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.15 KB, text/plain)
2017-12-11 18:12 UTC, Toralf Förster
Details
dev-perl:DBD-SQLite-1.540.0:20171211-124043.log (dev-perl:DBD-SQLite-1.540.0:20171211-124043.log,45.75 KB, text/plain)
2017-12-11 18:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,129.71 KB, text/plain)
2017-12-11 18:12 UTC, Toralf Förster
Details
environment (environment,38.33 KB, text/plain)
2017-12-11 18:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.44 KB, application/x-bzip)
2017-12-11 18:12 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.13 KB, application/x-bzip)
2017-12-11 18:12 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,44.41 KB, application/x-bzip)
2017-12-11 18:12 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-12-11 18:12:15 UTC
t/virtual_table/rt_99748.t ............................ 1/52 couldn't eval q{sub {my ($self, $i) = @_; my $row = $self->row($i); (defined($row->[1]) && defined($vals[0]) && $row->[1]  $vals[0])}} : syntax error at (eval 20) line 1, near "]  $vals"

#   Failed test 'no warnings'
#   at /usr/lib64/perl5/vendor_perl/5.26.1/Test/Builder.pm line 151.
# There were 2 warning(s)
# 	Previous test 23 'SELECT rowid FROM vtb WHERE c = 'six''

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-no-multilib-hardened_libressl-test_20171208-170410

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
  [4]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-perl/DBD-SQLite
[ebuild  N    ] dev-perl/DBD-SQLite-1.540.0  USE="system-sqlite {-test}"
Comment 1 Toralf Förster gentoo-dev 2017-12-11 18:12:18 UTC
Created attachment 509404 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-12-11 18:12:21 UTC
Created attachment 509406 [details]
dev-perl:DBD-SQLite-1.540.0:20171211-124043.log
Comment 3 Toralf Förster gentoo-dev 2017-12-11 18:12:25 UTC
Created attachment 509408 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-12-11 18:12:28 UTC
Created attachment 509410 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-12-11 18:12:31 UTC
Created attachment 509412 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-12-11 18:12:33 UTC
Created attachment 509414 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-12-11 18:12:37 UTC
Created attachment 509416 [details]
tests.tbz2
Comment 8 Kent Fredric (IRC: kent\n) gentoo-dev 2017-12-12 16:52:13 UTC
It should be noted that system-sqlite use flag in conjunction with this package is predictably problematic, mostly because upstream never designed this package to work this way.
Comment 9 Larry the Git Cow gentoo-dev 2018-01-03 14:32:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fbbade189ec84968d1b07a2ddaf516503d34051

commit 4fbbade189ec84968d1b07a2ddaf516503d34051
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-01-03 14:32:12 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-01-03 14:32:39 +0000

    dev-perl/DBD-SQLite: Limit supported sqlite versions for system-sqlite bug #640724
    
    Closes: https://bugs.gentoo.org/640724
    Package-Manager: Portage-2.3.18, Repoman-2.3.6

 .../{DBD-SQLite-1.540.0.ebuild => DBD-SQLite-1.540.0-r1.ebuild}      | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 10 Larry the Git Cow gentoo-dev 2018-03-03 01:58:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e3aadf18792bd10d5577b971994641467258458

commit 1e3aadf18792bd10d5577b971994641467258458
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-03-03 01:53:25 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-03-03 01:57:33 +0000

    profiles: package.use.stable.mask dev-perl/DBD-SQLite[system-sqlite]
    
    - Using versions of system sqlite other than the one DBD-SQLite ships
     with causes regular issues that challenge the ability for tis package
     to have a meaning stability status
    - Restricting system sqlite versions to solve the above problem causes
     significant impediments to stabilizing sqlite. ( DBD-SQLites release
     cycle is somewhat behind that of SQLites )
    
    Bug: https://bugs.gentoo.org/641108
    Bug: https://bugs.gentoo.org/649408
    Bug: https://bugs.gentoo.org/640724

 profiles/base/package.use.stable.mask | 6 ++++++
 1 file changed, 6 insertions(+)}